org.eclipse.cdt.core

## Interface IBinaryParser.IBinaryShared

All Superinterfaces:
  org.eclipse.core.runtime.IAdaptable, IBinaryParser.IBinaryExecutable, IBinaryParser.IBinaryFile, IBinaryParser.IBinaryObject

All Known Implementing Classes:
  CygwinPEBinaryShared, CygwinPEBinaryShared64, ElfBinaryShared, GNUElfBinaryShared, MachOBinaryShared, MachOBinaryShared64, PEBinaryShared, PEBinaryShared64, SOMBinaryShared, XCOFFBinaryShared

Enclosing interface:
  IBinaryParser

    public static interface IBinaryParser.IBinaryShared
    extends IBinaryParser.IBinaryExecutable

A DLL.

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`ARCHIVE, CORE, EXECUTABLE, OBJECT, SHARED`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getSoName()` The Share Object name.

### Methods inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryExecutable

`getNeededSharedLibs`

### Methods inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryObject

`getAddressFactory, getBSS, getCPU, getData, getName, getSymbol, getSymbols, getText, hasDebug, isLittleEndian`

### Methods inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`getBinaryParser, getContents, getPath, getType`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Method Detail

#### getSoName

    String getSoName()

The Share Object name.